<template>
    <v-container>
        <v-container>
            <v-card class="px-3">
                <v-card-text class="headline">Search Restaurant</v-card-text>
                <v-card-text class="mt-0 pt-0">
                    <v-row>
                        <v-text-field
                                height="50"
                                background-color="color"
                                label="Solo"
                                placeholder="Search"
                                solo
                        ></v-text-field>
                        <v-btn color="orange darken-1" height="50" dark>Search</v-btn>
                    </v-row>
                </v-card-text>
            </v-card>
        </v-container>
        <v-container>
            <v-list-item
                    v-for="(restaurant, index) in pagination.data"
                    :key="index"
            >
                <v-card class="fill-height my-2" min="800">
                    <v-img :src="require('../assets/restaurant/'+(index)+'.jpg')"></v-img>
                    <v-card-text class="text-left my-3 py-0">
                        <div class="title">Name</div>
                        <div>{{restaurant.name}}</div>
                    </v-card-text>
                    <v-card-text class="text-left my-3 py-0">
                        <div class="title">Location</div>
                        <div>{{restaurant.location}}</div>
                    </v-card-text>
                    <v-card-actions class="mb-2 py-0">
                        <v-btn text @click="viewRestaurant(restaurant.id)">View More</v-btn>
                    </v-card-actions>
                </v-card>
            </v-list-item>
            <v-row class="fill-height" align="end" justify="center">
                <v-col cols="8">
                    <v-container class="max-width">
                        <v-pagination
                                v-model="page"
                                class="my-4"
                                :length="this.pagination['last_page']"
                        ></v-pagination>
                    </v-container>
                </v-col>
            </v-row>
        </v-container>
        <v-dialog v-model="restaurantDialog" max-width="500">
            <v-card>
                <v-card-title>Attraction Name</v-card-title>
                <v-card-text class="text-left">{{selectedRestaurant.name}}</v-card-text>
                <v-card-title>Location</v-card-title>
                <v-card-text class="text-left">{{selectedRestaurant.location}}</v-card-text>
                <v-card-title>Minimum Price</v-card-title>
                <v-card-text class="text-left">${{selectedRestaurant.min_price}}</v-card-text>
                <v-card-title>Phone</v-card-title>
                <v-card-text class="text-left">{{selectedRestaurant.phone}}</v-card-text>
                <v-card-title>Website</v-card-title>
                <v-card-text class="text-left"><a>{{selectedRestaurant.website}}</a></v-card-text>
            </v-card>
        </v-dialog>
    </v-container>
</template>

<script>
    export default {
        name: "Restaurant",
        data() {
            return {
                page: 1,
                lastPage: 5,
                pagination: Object,
                selectedRestaurant: Object,
                restaurantDialog: false,
            }
        },
        watch: {
            page: function (page) {
                console.log(page)
                this.getAttractions()
            }
        },
        methods: {
            changeLoading() {
                this.$emit('isLoading')
            },
            viewRestaurant(restaurantId) {
                this.$apiRequest.viewRestaurant(restaurantId).then(response => {
                    this.selectedRestaurant = response.data.data.restaurant
                    this.restaurantDialog = true
                    console.log(this.selectedRestaurant)
                }).catch(error => {
                    console.log(error)
                }).finally(() => {

                })
            },
            getAttractions() {
                this.changeLoading()
                this.$apiRequest.listRestaurant(this.page).then(response => {
                    this.pagination = response.data.data.restaurants
                }).catch(error => {
                    console.log(error)
                }).finally(() => {
                    this.changeLoading()
                })
            }
        },
        created() {
            this.getAttractions()
        }
    }
</script>

<style scoped>

</style>